Package org.apache.ignite.internal.cluster

## Class NodeOrderLegacyComparator

- java.lang.Object
- - org.apache.ignite.internal.cluster.NodeOrderLegacyComparator

All Implemented Interfaces:
  `Serializable`, `Comparator<ClusterNode>`

    public class NodeOrderLegacyComparator
    extends Object
    implements Comparator<ClusterNode>, Serializable

Node order comparator.

See Also:
  Serialized Form

### Field Summary

Fields
`static Comparator<ClusterNode>` `INSTANCE`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare​(ClusterNode n1, ClusterNode n2)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals, reversed, thenComparing, thenComparing, thenComparing, thenComparingDouble, thenComparingInt, thenComparingLong`

### Field Detail

#### INSTANCE

    public static final Comparator<ClusterNode> INSTANCE

### Method Detail

#### compare

    public int compare​(ClusterNode n1,
                       ClusterNode n2)

Specified by:
  `compare` in interface `Comparator<ClusterNode>`